Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.tools.schema
Class DomainConfiguration.DefaultServerDefinition

    java.lang.Object
      oracle.ifs.admin.tools.schema.DomainConfiguration.DefaultServerDefinition

Enclosing class:
  DomainConfiguration

    public static final class DomainConfiguration.DefaultServerDefinition

extends java.lang.Object

Structure holds data require to construct a single server entry property within a node.

Constructor Summary
`DomainConfiguration.DefaultServerDefinition(java.lang.String name, ServerConfiguration sc, java.lang.String serviceName, boolean isActive, boolean initiallyStarted, int initialPriority)` Constructs a DefaultServerDefinition.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DomainConfiguration.DefaultServerDefinition

    public DomainConfiguration.DefaultServerDefinition(java.lang.String name,
                                                       ServerConfiguration sc,
                                                       java.lang.String serviceName,
                                                       boolean isActive,
                                                       boolean initiallyStarted,
                                                       int initialPriority)

  Constructs a DefaultServerDefinition.

  Parameters:
    `name` - server name identifier within node
    `sc` - server configuration
    `serviceName` - name identifier of service configuration leveraged
    `isActive` - whether server active within node
    `initiallyStarted` - whether server initially started
    `initialPriority` - initial server priority

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD